.faq {
    padding: rem(24);
    border-radius: rem(12);
    background-color: #222222;
    display: grid;
    grid-row-gap: rem(24);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        padding: rem(60) rem(40);
        grid-row-gap: rem(40);
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr rem(530);
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}
}

.faq-item {
    font-size: rem(14);
    line-height: rem(20);

    &:not(:last-child) {
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    }

    &__header {
        padding: rem(12) 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__title {
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(20);
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        stroke: white;
        width: rem(20);
        height: rem(20);
        flex-shrink: 0;
        transform: rotate(0deg);
        transition: var(--transition-time);
    }

    &__content {
        padding-bottom: rem(20);
    }

    &.open {

        .faq-item__arrow {
            transform: rotate(180deg);
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        line-height: rem(22);

        &__header {
            padding: rem(24) 0;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}
}
